{% extends "base.html" %}
{% block main %}
<div class="card">
  <article class="card-body">
    <h4 class="card-title text-center mb-4 mt-1">Se connecter</h4>
    <hr>
    <p class="text-success text-center"></p>
    
    
    <form action="home" method="POST" lang="fr">
  <div class="form-group">
    <div class="input-group">
      <div class="input-group-prepend">
          <span class="input-group-text"> <i class="fa fa-user"></i> </span>
      </div>
      <input name="" class="form-control" placeholder="Nom d'utilisateur" type="text" minLength="2" maxlength="250" autofocus required>
    </div>
  </div>
  <div class="form-group">
    <div class="input-group">
      <div class="input-group-prepend">
          <span class="input-group-text"> <i class="fa fa-lock"></i> </span>
      </div>
        <input class="form-control" placeholder="******" type="password" name="mdp" minLength="4" maxlength="100" required>
    </div>
  </div>
<div class="form-group">
  <button type="submit" class="btn btn-primary btn-block"> Login  </button>
</div>
  <p class="text-center"><a href="#" class="btn">Mot de passe oublié ?</a></p>
  </form>
    
    <!-- <form name="login" class="form-signin" role="form" method="POST" 
      action="{{ url_for('login') }}">
  {{ form.hidden_tag() }}
  <h2 class="form-signin-heading">Connectez vous</h2>
  <div class="form-group">
    <label for="inputUser" class="sr-only">{{ form.username.label }}</label>
    <div class="col-lg-6">
      {{ form.username(size=50, class_="form-control", placeholder="Username") }}
    </div>

    <label for="inputPassword" class="sr-only">{{ form.password.label }}</label>
    <div class="col-lg-6">
      {{ form.password(size=50, class_="form-control", placeholder="Password") }}
    </div>
  </div>
  {% with messages = get_flashed_messages() %}
    {% if messages %}
    <div class="alert alert-danger" role="alert">
        <ul>
            {% for message in messages %}
              <li>{{ message }}</li>
            {% endfor %}
        </ul>
    </div>
    {% endif %}
  {% endwith %}
    
  <p>{{ form.submit() }}</p>
</form> -->
  </article>
</div> 
{% endblock %}

<!-- <form action="home" method="POST" lang="fr">
  <div class="form-group">
    <div class="input-group">
      <div class="input-group-prepend">
          <span class="input-group-text"> <i class="fa fa-user"></i> </span>
      </div>
      <input name="" class="form-control" placeholder="Nom d'utilisateur" type="text" minLength="2" maxlength="250" autofocus required>
    </div>
  </div>
  <div class="form-group">
    <div class="input-group">
      <div class="input-group-prepend">
          <span class="input-group-text"> <i class="fa fa-lock"></i> </span>
      </div>
        <input class="form-control" placeholder="******" type="password" name="mdp" minLength="4" maxlength="100" required>
    </div>
  </div>
<div class="form-group">
  <button type="submit" class="btn btn-primary btn-block"> Login  </button>
</div>
  <p class="text-center"><a href="#" class="btn">Mot de passe oublié ?</a></p>
  </form> -->